* Encoding: windows-1252.
* MICS6 SR.7.1M.

* v01 - 2017-09-27.

** Questions MWB15-MWB16-MWB17.


***.

include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.
																
compute sameR = 0.
if (MWB15 = 95) sameR = 100.
variable labels sameR  "Never migrated".

do if (sameR = 0).
+ recode MWB15 (1 thru 4 = 2) (5 thru 9 = 3) (10 thru 94 = 4) (99 = 9) (else = 1) into MWB15r.
+ compute totCR = 1.
end if.

variable labels totCR "Number of men who ever migrated".

variable labels MWB15r "Percentage of men, by time of last move".
value labels MWB15r 
1 "Less than one year"
2 "1-4 years"
3 "5-9 years"
4 "10 years or more"
9 "Missing".

* Adjust labels to correspond to tab plan.
variable labels MWB16 "Percentage of men whose last migration was from:".
value labels MWB16
1 "City"
2 "Town"
3 "Rural area"
9 "Missing".

add value labels MWB17 99 "Missing".

compute numMen = 1.
variable labels numMen "Number of men".
value labels numMen 1 "".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

compute tot = 100.
variable labels tot "Total".
value labels tot 100 " ".

* producing the layers in tables.
compute layer0 = 0.
value labels 
  layer0 0 "Years since most recent migration:".

compute layer1 = 0.
value labels 
  layer1 0 "Most recent migration was from:".


* Labels in French.
 * variable labels sameR  "Vivre continuellement dans la mme rsidence".

 * variable labels totCR "Nombre de hommes ayant chang de rsidence".

 * variable labels MWB15r "Percentage of men, by time of last move".
 * value labels MWB15r 
1 "Moins d'un an"
2 "1-4 ans"
3 "5-9 ans"
4 "10 ans et plus"
9 "Manquant".
			
* Adjust labels to correspond to tab plan.
 * variable labels MWB16 "Percentage of men whose last migration was from:".
 * value labels MWB16
1 "Ville"
2 "Bourgade"
3 "Milieu rural"
9 "Manquant".

 * add value labels MWB17 99 "Manquant".

 * variable labels numMen "Nombre d'hommes".
 * value labels layer1 0 "Percentage of men whose last migration was from:".

* Labels in Spanish.
 * variable labels sameR  "Que han vivido siempre en el mismo lugar".

 * variable labels totCR "Nmero de hombres que cambiaron su residencia".

 * variable labels MWB15r "Porcentaje de hombres segn tiempo desde su ltima migracin".
 * value labels MWB15r 
1 "Menos de un ao"
2 "1-4 aos"
3 "5-9 aos"
4 "10 aos o ms"
9 "Ignorado".
			
* Adjust labels to correspond to tab plan.
 * variable labels MWB16 "Porcentaje de hombres cuya ltima migracin fue desde:".
 * value labels MWB16
1 "Ciudad"
2 "Pueblo"
3 "rea rural "
9 "Ignorado".

 * add value labels MWB17 99 "Ignorado".

 * variable labels numMen "Nmero de hombres".
 * value labels layer1 0 "Porcentaje de hombres cuya ltima migracin fue desde ".
 
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = layer0 layer1  MWB16 MWB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           MWB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numMen[s][sum '' f5.0] +
           layer1 [c] > ( MWB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (MWB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Table SR.7.1M: Migratory status of men"
    "Percent distribution of men age 15-49 years by migratory status and years since last migration, and percent distribution of men who migrated, by type and place of last residence, " + surveyname
 .		


* Ctables command in French.
*ctables
  /vlabels variables = layer0 layer1  MWB16 MWB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           MWB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numMen[s][sum '' f5.0] +
           layer1 [c] > ( MWB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (MWB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tableau SR.7.1M: Status Migratoire des hommes"															
    "Percent distribution of men age 15-49 years by migratory status and years since last migration, and percent distribution of men who migrated, by type and place of last residence, " + surveyname
 .	

* Ctables command in Spanish.
*
ctables
  /vlabels variables = layer0 layer1  MWB16 MWB17 display = none
  /table   total[c]
         + hh6 [c]
         + hh7 [c]
         + $mwage [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity[c]
         + windex5 [c]
   by
           layer0 [c] > (sameR [s] [mean '' f5.1] +
           MWB15r [c] [rowpct.totaln '' f5.1]) + 
           tot [s] [mean '' f5.1] +
           numMen[s][sum '' f5.0] +
           layer1 [c] > ( MWB16 [c] [rowpct.validn '' f5.1] + 
           tot [s] [mean '' f5.1] ) +
           layer1 [c] > (MWB17 [c] [rowpct.validn '' f5.1] )+ 
           tot [s] [mean '' f5.1]+ 
           totCR [s] [sum '' f5.0] 
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tabla SR.7.1M: Estatus migratorio de los hombres"															
     "Percent distribution of men age 15-49 years by migratory status and years since last migration, and percent distribution of men who migrated, by type and place of last residence, " + surveyname
 .	 

new file.
