* Encoding: windows-1252.

* v02 - 2019-08-27. Last modified to reflect tab plan changes as of 25 July 2019.

 * "Those report discriminatory attitutes towards people living with HIV are those that respond 'no' to both HA30 and HA31 (HA30=2 and HA31=2), tabulated 
seperately in the two previous columns.

 * The five following columns are those who respond 'yes' to each of the matching questions, i.e. HA32=1, HA33=1, HA34=1, HA35=1 and HA36=1.

 * The denominator includes only women who have heard of AIDS (HA1=1)."											

***.
include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1 and HA1=1).

weight by wmweight.

include 'define\MICS6 - 06 - TM.sps' .

compute discriminatory=0.
if (food =100 or school=100) discriminatory=100.
variable labels discriminatory "Report discriminatory attitutes towards people living with HIV [1] [A]".

compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Percentage of women who:".

compute layer2 = 0.
variable labels layer2 "".
value labels layer2 0 "Percentage of women who think people:".

compute numWomen = 1.
variable labels numWomen "".
value labels numWomen 1 "Number of women who have heard of AIDS".

variable labels disability "Functional difficulties (age 18-49 years)".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

* For labels in French uncomment commands below.
* variable labels
     discriminatory "Rapportent des attitudes discriminatoires  l'gard des personnes vivant avec le VIH [1] [A]".
* value labels 
     numWomen 1 "Nombre de femmes de 15-49 ans ayant entendu parler du SIDA"
	 /layer1 0 "Pourcentage de femmes qui :"
	 /layer2 0 "Pourcentage de femmes qui pensent que les gens:".
	
* For labels in Spanish uncomment commands below.
* variable labels
     discriminatory "Expresan una actitud discriminatoria hacia personas viviendo con VIH [1] [A]".
* value labels 
     numWomen 1 "Nmero de mujeres de 15-49 aos que han oido hablar del sida"
	 /layer1 0 "Porcentaje de mujeres que:"
	 /layer2 0 "Porcentaje de mujeres que piensa que las personas:".


* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  numWomen layer1 layer2  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             food  [s] [mean '' f5.1]
           + school [s] [mean '' f5.1]
           + discriminatory [s] [mean '' f5.1]) +
          layer2 [c] > ( 
            hesitate [s] [mean '' f5.1]
           + talkbadly [s] [mean '' f5.1]
           + respect [s] [mean '' f5.1] ) +
          layer1 [c] > (
            ashamed [s] [mean '' f5.1]
           + fear [s] [mean '' f5.1])
         + numWomen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Table TM.11.3W: Attitudes towards people living with HIV (women)"
    "Percentage of women age 15-49 years who have heard of AIDS who report discriminating attitudes towards people living with HIV, " + surveyname
   caption =
    "[1] MICS indicator TM.31 - Discriminatory attitudes towards people living with HIV"					
    "[A] This is a composite indicator of those who would not buy fresh vegetables from a shopkeeper or vendor who is HIV-positive or think children living with HIV should not be allowed to attend school with children who do not have HIV"
    "[B] As part of respondent protection, those who answered that they are HIV-positive have been recoded to No, and thus treated as having no fear of contracting HIV"										
  .

* ctables command in French.
* ctables
  /vlabels variables =  numWomen layer1 layer2  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             food  [s] [mean '' f5.1]
           + school [s] [mean '' f5.1]
           + discriminatory [s] [mean '' f5.1]) +
          layer2 [c] > ( 
            hesitate [s] [mean '' f5.1]
           + talkbadly [s] [mean '' f5.1]
           + respect [s] [mean '' f5.1] ) +
          layer1 [c] > (
            ashamed [s] [mean '' f5.1]
           + fear [s] [mean '' f5.1])
         + numWomen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tableau TM.11.3W: Attitudes discriminatoires  l'gard des personnes vivant avec le VIH (femmes)"
    "Pourcentage de femmes de 15-49 ans qui ont entendu parler du SIDA qui expriment des attitudes discriminatoires  l'gard des personnes vivant avec le VIH, " + surveyname
   caption =
    "[1] Indicateur MICS TM.31 - Attitudes discriminatoires envers les personnes vivant avec le VIH"					
    "[A] This is a composite indicator of those who would not buy fresh vegetables from a shopkeeper or vendor who is HIV-positive or think children living with HIV should not be allowed to attend school with children who do not have HIV"	
    "[B] As part of respondent protection, those who answered that they are HIV-positive have been recoded to No, and thus treated as having no fear of contracting HIV"																															  
  .

* ctables command in Spanish.
* ctables
  /vlabels variables =  numWomen layer1 layer2  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $wagez [c]
         + welevel [c]
         + mstatus2 [c]
         + disability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             food  [s] [mean '' f5.1]
           + school [s] [mean '' f5.1]
           + discriminatory [s] [mean '' f5.1]) +
          layer2 [c] > ( 
            hesitate [s] [mean '' f5.1]
           + talkbadly [s] [mean '' f5.1]
           + respect [s] [mean '' f5.1] ) +
          layer1 [c] > (
            ashamed [s] [mean '' f5.1]
           + fear [s] [mean '' f5.1])
         + numWomen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tabla TM.11.3W: Actitudes hacia personas viviendo con VIH (mujeres)"
    "Porcentaje de mujeres de 15-49 años que han oído sobre el SIDA y que expresan una actitud discriminatoria hacia personas con VIH, " + surveyname
   caption =
    "[1] Indicador MICS TM.31 - Actitudes discriminatorias hacia las personas que viven con el VIH"					
    "[A] This is a composite indicator of those who would not buy fresh vegetables from a shopkeeper or vendor who is HIV-positive or think children living with HIV should not be allowed to attend school with children who do not have HIV"
    "[B] As part of respondent protection, those who answered that they are HIV-positive have been recoded to No, and thus treated as having no fear of contracting HIV"											
  .

new file.
