* Encoding: windows-1252.
 * "Men who know of a place to get tested for HIV includes those who have already been tested (MHA24=1) or those who report that they know of a place to get tested (MHA27=1).

 * Men who have ever been tested: MHA24=1; those who know the result are MHA26=1.

 * Men who have been tested for HIV during the last 12 months includes MHA25=1; those who know the results are MHA26=1.

 * Those who have heard of test kits are those responding 'yes' to MHA28; those who have used are MHA29=1.

 * The denominator of the table includes all men, including those who have not heard of AIDS (MHA1=2). 

 * The background characteristic of Age and sexual activity in the last 12 months is the total disaggregated first by sexual activity in the last 12 months and second, for only 
   the sexually active respondents, by age. This is done to calculate MICS indicator TM.35."								
						
										

***.

*v2.2019-03-14.

include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

* include TM.M . 
include 'define\MICS6 - 06 - TM.M.sps' .

compute sexuallyactive=99.
if sex12=100 sexuallyactive=1.

if sex12 = 100 magesex = MWB4.
recode magesex (15 thru 24 = 10) (25 thru 49 = 20) into mwagesex1.
recode magesex (15 thru 19 = 11) (20 thru 24 = 14) into mwagesex2.
recode magesex (15 thru 17 = 12) (18 thru 19 = 13) into mwagesex3.

value labels sexuallyactive
     1  "Sexually active"
    10 "15-24 [3]"
    11 "   15-19"
    12 "      15-17"
    13 "      18-19"
    14 "   20-24"
    20 "25-49"
    99  "Sexually inactive".

* Define Multiple Response Sets.
mrsets
  /mcgroup name = $mwagesex
           label = 'Age and sexual activity in the last 12 months'
           variables = sexuallyactive mwagesex1 mwagesex2 mwagesex3.


compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Percentage of men who:".

compute numMen = 1.
variable labels numMen "".
value labels numMen 1 "Number of men".

compute total = 1.
variable labels total "".
value labels total 1 "Total".

* For labels in French uncomment commands below.
* value labels 
     numMen 1 "Nombre des hommes de 15-49 ans"
	/layer1 0 "Pourcentage des hommes qui:"
	/sexuallyactive
     1  "Sexuellement active"
    10 "15-24 [3]"
    11 "   15-19"
    12 "      15-17"
    13 "      18-19"
    14 "   20-24"
    20 "25-49"
    99  "Sexuellement inactive".
* mrsets
  /mcgroup name = $mwagesex
           label = 'Age et activit sexuelle des 12 derniers mois'
           variables = sexuallyactive mwagesex1 mwagesex2 mwagesex3.
	
* For labels in Spanish uncomment commands below.
* value labels 
     numMen 1 "Nmero de hombres de 15-49 aos"
	/layer1 0 "Porcentaje de hombres que:"
	/sexuallyactive
     1  "Sexualmente activa"
    10 "15-24 [3]"
    11 "   15-19"
    12 "      15-17"
    13 "      18-19"
    14 "   20-24"
    20 "25-49"
    99  "Sexualmente inactiva".
* mrsets
  /mcgroup name = $mwagesex
           label = 'Edad y actividad sexual en los ltimos 12 meses'
           variables = sexuallyactive mwagesex1 mwagesex2 mwagesex3.

* ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables =  numMen layer1  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + $mwagesex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             knowPlace  [s] [mean '' f5.1]
           + beenTested [s] [mean '' f5.1]
           + toldResult [s] [mean '' f5.1]
           + tested12 [s] [mean '' f5.1]
           + toldResult12 [s] [mean '' f5.1]
           + testkit [s] [mean '' f5.1] 
           + selftestkit [s] [mean '' f5.1])
         + numMen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Table TM.11.4M: Knowledge of a place for HIV testing (men)"
    "Percentage of men age 15-49 years who know where to get an HIV test, percentage who have ever been tested, percentage who have ever been tested and know the" +
    "result of the most recent test, percentage who have been tested in the last 12 months, and percentage who have been tested in the last 12 months and know the result, and " + 
    "percentage who have heard of HIV self-test kits and have tested themselves,"  + surveyname
   caption =
    "[1] MICS indicator TM.32 - People who know where to be tested for HIV" 								
    "[2] MICS indicator TM.33 - People who have been tested for HIV and know the results" 								
    "[3] MICS indicator TM.34 - Sexually active young people who have been tested for HIV and know the results" 								
    "[A] Having heard of or having used a test kit are not included in any MICS indicators relating to HIV testing".								

* ctables command in French.
* ctables
  /vlabels variables =  numMen layer1  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + $mwagesex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             knowPlace  [s] [mean '' f5.1]
           + beenTested [s] [mean '' f5.1]
           + toldResult [s] [mean '' f5.1]
           + tested12 [s] [mean '' f5.1]
           + toldResult12 [s] [mean '' f5.1]
           + testkit [s] [mean '' f5.1] 
           + selftestkit [s] [mean '' f5.1])
         + numMen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tableau TM.11.4M: Connaissance d'un lieu de test de VIH (hommes)"
    "Pourcentage des hommes gs de 15-49 ans qui savent o aller pour un test de VIH, pourcentage des hommes qui ont dj t tests, "+
	"pourcentage des hommes qui ont dj t tests et connaissent le rsultat du test le plus rcent,  pourcentage des hommes qui ont t tests au cours des 12 derniers mois "+
	"et pourcentage des hommes qui ont t tests au cours des 12 derniers mois et qui connaissent le rsultat et pourcentage qui ont entendu parler des kits d'auto-test VIH et se sont tests par eux mmes,"  + surveyname
   caption =
    "[1] Indicateur MICS TM.32 - Hommes qui savent o se faire tester pour le VIH " 								
    "[2] Indicateur MICS TM.33 - Hommes qui ont t testes pour le VIH et connaissent les rsultats  " 								
    "[3] Indicateur MICS TM.34 - Jeunes femmes sexuellement actives qui ont t testes pour le VIH et connaissent les rsultats " 								
    "[A] Having heard of or having used a test kit are not included in any MICS indicators relating to HIV testing".								

* ctables command in Spanish.
* ctables
  /vlabels variables =  numMen layer1  total
           display = none
  /table   total [c]
         + HH6 [c]
         + HH7 [c]
         + $mwagez [c]
         + $mwagesex [c]
         + mwelevel [c]
         + mmstatus2 [c]
         + mdisability [c]
         + ethnicity [c]
         + windex5 [c]
   by
         layer1 [c] > (
             knowPlace  [s] [mean '' f5.1]
           + beenTested [s] [mean '' f5.1]
           + toldResult [s] [mean '' f5.1]
           + tested12 [s] [mean '' f5.1]
           + toldResult12 [s] [mean '' f5.1]
           + testkit [s] [mean '' f5.1] 
           + selftestkit [s] [mean '' f5.1])
         + numMen [c] [count '' f5.0]
  /categories variables = all empty = exclude missing = exclude
  /slabels visible = no
  /titles title=
    "Tabla TM.11.4M: Conocimiento de un lugar para hacerse la prueba del VIH (hombres)"
    "Porcentaje de hombres de 15 a 49 aos que saben dnde hacerse una prueba del VIH, porcentaje de hombres que se han hecho la prueba alguna vez, "+
	"porcentaje de hombres que se han hecho la prueba alguna vez y conoce el resultado de la prueba ms reciente, porcentaje de hombres que se han hecho la prueba en los 12 ltimos meses "+
	"y porcentaje que se han hecho la prueba en los ltimos 12 meses y les han dicho el resultado y  porcentaje  que ha oido de un kit de prueba auto administrada para el VIH y se la han hecho a si mismos, "  + surveyname
   caption =
    "[1]  Indicador MICS TM.32 - Personas que saben dnde hacerse la prueba del VIH" 								
    "[2]  Indicador MICS TM.33 - Personasque se hicieron la prueba del VIH y conocen los resultados" 								
    "[3]  Indicador MICS  TM.34 - Jvenes sexualmente activas/os que se hicieron la prueba del VIH y conocen los resultados" 								
    "[A]  Haber odo o haber usado un kit de prueba no est incluido en ningn indicador MICS relacionado con la prueba del VIH".								
							
new file.
