﻿* Encoding: windows-1252.
***.

*v2.2019-03-14.

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

* select women that gave birth in two years preceeding the survey. 
* IB (5 years in case of SL).
select if (CM17 = 1).

include "surveyname.sps".

weight by wmweight.

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

variable labels skilledPersonnel "Percentage of women who were attended at least once by skilled health personnel [1],[B]".

compute numWomen = 1.
value labels numWomen 1 "".
variable labels numWomen "Number of women with a live birth in the last 2 years".

compute total = 1.
variable labels total "Total".
value labels total 1" ".

compute total100 = 100.
variable labels total100 "Total".
value labels total100 100" ".

variable labels anc "Provider of antenatal care [A]".

* For labels in French uncomment commands below.
* variable labels
 skilledPersonnel "Pourcentage de femmes âgées de 15 à 49 ans qui ont été suivies au moins une fois par du personnel de santé qualifié [1] [B]"
/numWomen "Nombre de femmes qui ont eu une naissance vivante dans les 2 dernières années"
/anc "Personnel dispensant les soins prénatals [A]".

* For labels in Spanish uncomment commands below.
* variable labels
 skilledPersonnel "Porcentaje de mujeres de 15-49 años que fueron atendidas por al menos un personal de salud capacitado [1] [B]"
/numWomen "Número de mujeres con un nacimiento en los últimos dos años"
/anc "Personal encargado del cuidado prenatal [A]".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
             anc [c] [rowpct.validn '' f5.1]
         + total100 [s] [mean '' f5.1]
         + skilledPersonnel [s] [mean '' f5.1]
         + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude
  /slabels position=column visible=no
  /titles title=
     "Table TM.4.1: Antenatal care coverage"									
      "Percent distribution of women age 15-49 years with a live birth in the last 2 years by antenatal care provider during the pregnancy of the most recent live birth, "+ surveyname
   caption=
    "[1] MICS indicator TM.5a - Antenatal care coverage (at least once by skilled health personnel)"
    "[A] Only the most qualified provider is considered in cases where more than one provider was reported."									
    "[B] Skilled providers include Medical doctor, Nurse/Midwife and Other qualified.".							

* Ctables command in French.
 * ctables
  /table total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
             anc [c] [rowpct.validn '' f5.1]
         + total100 [s] [mean '' f5.1]
         + skilledPersonnel [s] [mean '' f5.1]
         + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude
  /slabels position=column visible=no
  /titles title=
     "Tableau TM.4.1: Couverture des soins prénatals"									
      "Distribution en pourcentage des femmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernières années selon la personne qui a dispensé les soins prénatals pour la dernière naissance, "+ surveyname
   caption=
    "[1] Indicateur MICS TM.5a - Couverture des soins prénatals (au moins une fois par du personnel de santé qualifié)"
    "[A] Seul le personnel le plus qualifié est pris en compte dans les cas où plus d'un personnel a été signalé."									
    "[B] Les personnels qualifiés incluent un médecin, infirmière / sage-femme et autres qualifiés.".							

	
* Ctables command in Spanish.
 * ctables
  /table total [c]
         + HH6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]         
   by
             anc [c] [rowpct.validn '' f5.1]
         + total100 [s] [mean '' f5.1]
         + skilledPersonnel [s] [mean '' f5.1]
         + numWomen [s] [count '' f5.0]
  /categories variables=all empty=exclude
  /slabels position=column visible=no
  /titles title=
     "Tabla TM.4.1: Cobertura de cuidado prenatal"									
      "Distribución porcentual de mujeres de 15-49 años con un nacido vivo en los últimos dos años por personal encargado del cuidado prenatal durante el embarazo del último nacimiento, "+ surveyname
   caption=
    "[1] Indicador MICS TM.5a - Cobertura de atención prenatal (al menos una vez por personal capacitado)"
    "[A] Si la informante mencionó más de un profesional de la salud, sólo se considerará al más capacitado."									
    "[B] Personal capacitado incluye Médicos, Enfermera/comadrona y Otro capacitado.".							


new file.

