﻿* Encoding: windows-1252.
***.
*v2. 2019-03-14.

include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

*select women that gave birth in two years preceeding the survey.
select if (CM17 = 1).

* definitions of anc, ageAtBirth .
include 'define\MICS6 - 06 - TM.sps' .

compute pncProvider = 0.
if (PN23A = "A" or PN23B = "B" ) pncProvider = 11.
if (pncProvider = 0 and PN23C = "C") pncProvider = 12.
if (pncProvider = 0 and PN23G = "G") pncProvider = 13.
if (pncProvider = 0 and PN23F = "F") pncProvider = 14.
if (pncProvider = 0 and (PN23H = "H" or PN23X = "X" or PN23A = "?" )) pncProvider = 96.
variable labels pncProvider "Provider of first PNC visit".
value labels pncProvider
  11 "Doctor/ nurse/ midwife"
  12 "Other qualified"  
  13 "Community / village health worker"
  14 "Traditional birth attendant"
  96 "Other/Missing" .

* select mothers who received a PNC visit within one week of birth: PN22A/B=100 through 199, 201 through 299 AND PN23=A through G.
select if (pncVisitM < 5 and pncProvider <= 14) .

compute numWomen = 1 .
variable labels numWomen "Number of women with a live birth in the last 2 years who received a PNC visit within one week of birth".
value labels numWomen 1 "" .

compute pncLocation = 0.
if (PN24 = 11 or PN24 = 12) pncLocation = 11.
if (PN24 >= 21 and PN24 <= 26) pncLocation = 12.
if (PN24 >= 31 and PN24 <= 36) pncLocation = 13.
if (PN24 = 96) pncLocation = 96.
if (pncLocation = 0 or PN24 = 76 or PN24 = 98 or PN24 = 99) pncLocation = 98.
variable labels pncLocation "Location of first PNC visit for mothers".
value labels pncLocation
  11 "Home"
  12 "Public Sector"
  13 "Private Sector"
  96 "Other location"
  98 "DK/Missing" .

compute total = 1 .
variable labels total "Total" .
value labels total 1 " " .

* For labels in French uncomment commands below.
* variable labels
   numWomen "Nombre de femmes ayant eu une naissance vivante dans les 2 dernières années avec une visite pour EPN dans la première semaine de vie"
  /pncLocation " Lieu de la première visite EPN pour les mères"
  /pncProvider "Agent qui a fait la première visite EPN pour la mère".
* value labels 
    pncLocation
  1 "Domicile"
  2 "Secteur Public"
  3 "Secteur Privé"
  4 "Autres lieux"
  9 "Manquant" 
	/pncProvider
  11 "Médecin/Infirmière/Sage-femme"
  12 "Autres qualifiés" 
  13 "Agent de santé communautaire"
  14 "Accoucheuse traditionnelle"
  96 "Autre/manquant".
  
* For labels in Spanish uncomment commands below.
* variable labels
   numWomen "Número de mujeres con un nacido vivo en los últimos dos años quienes recibieron una visita de CPN dentro de la semana después del nacimiento"
  /pncLocation "Lugar de la primera visita de CPN para la madre"
  /pncProvider "Proveedor de la primera visita de CPN para la madre".
* value labels 
  pncLocation
  1 "Casa"
  2 "Sector púbico"
  3 "Sector privado"
  4 "Otro lugar"
  9 "Ignorado" 
	/pncProvider
  11 "Doctor/ enfermera/ comadrona"
  12 "Otro capacitado" 
  13 "Trabajador de la salud de la comunidad"
  14 "Partera tradicional"
  96 "Otro/Ignorado".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
        + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total = yes position=after label="Total"
  /slabels position=column visible=no
  /titles title=
     "Table TM.8.8: Post-natal care visits for mothers within one week of birth"
       "Percent distribution of women age 15-49 years with a live birth in the last 2 years who for the most recent live birth received a post-natal care (PNC) visit " +
        "within one week of birth, by location and provider of the first PNC visit," + surveyname
.	

* Ctables command in French.
* ctables
  /table   total [c]
        + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total = yes position=after label="Total"
  /slabels position=column visible=no
  /titles title=
     "Tableau TM.8.8: Examens de santé post-natals des mères dans la semaine de la naissance"
	"Distribution en pourcentage defemmes de 15-49 ans ayant eu une naissance vivante dans les 2 dernières années qui ont eu une visite pour un examen post-natal (EPN) "+
	"dans la semaine de la naissance, selon le lieu et l'agent de la première visite pour EPN, " + surveyname
  	.		


* Ctables command in Spanish.
* ctables
  /table   total [c]
        + bh3_last [c]
         + hh6 [c]
         + hh7 [c]
         + welevel [c]
         + ageAtBirth [c]
         + $deliveryPlace [c]
         + deliveryType [c]
         + disability [c]
         + ethnicity[c]
         + windex5 [c]    
   by
           pncLocation [c] [rowpct.validn '' f5.1]
         + pncProvider [c] [rowpct.validn '' f5.1]
         + numWomen[s] [count '' f5.0]
  /categories variables=all empty=exclude
  /categories variables=pncLocation pncProvider total = yes position=after label="Total"
  /slabels position=column visible=no
  /titles title=
     "Tabla TM.8.8: Visitas de cuidado post-natal para las madres dentro de la semana posterior al nacimiento"
	"Distribución porcentual de mujeres de 15-49 años con un nacido vivo en los últimos dos años quienes recibieron visita de cuidado post-natal (CPN)  "+
	"dentro de la semana posterior al nacimiento, por lugar y proveedor de la primera visita de CPN, " + surveyname
  	.		


new file.
