* Encoding: UTF-8.
* MICS6 TC-7.8.

* v02 - 2014-03-05.

* Bottle feeding: BD4=1 .

* v03 - 2017 - 11 - 20.
* customized for MICS6. 

***.


* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

include "CommonVarsCH.sps".

select if (UF17 = 1).

weight by chweight.

select if (cage <= 23).

compute numChildren = 1.
variable labels numChildren "Number of children age 0-23 months:".
value labels numChildren 1"".

compute bottleFeeding = 0.
if (BD4 = 1) bottleFeeding = 100.
variable labels bottleFeeding "Percentage of children age 0-23 months fed with a bottle with a nipple [1]".

compute total = 1.
variable labels total  "Total".
value labels total 1 " ".

* For labels in French uncomment commands below.
* variable labels
    ageCat "Age (en mois)"
   /childrenNo "Nombre d'enfants de 0-23 mois"
   /bottleFeeding "Pourcentage d'enfants de 0-23 mois nourris au biberon [1]".
     
* For labels in Spanish uncomment commands below.
* variable labels
    ageCat "Edad (en meses)"
   /childrenNo "Nmero de nios de 0-23 meses"
   /bottleFeeding "Porcentaje de nios/as de 0-23 meses de edad alimentados con un bibern con pezn [1]".
  
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageCat [c]
         + melevel [c]         
        + caretakerdis[c]
        + ethnicity [c]
        + windex5 [c]
   by
           bottleFeeding [s] [mean '' f5.1]
         + numChildren [s] [count,'' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visable = no
  /titles title=
     "Table TC.7.8: Bottle feeding"
     "Percentage of children age 0-23 months who were fed with a bottle with a nipple during the previous day, " + surveyname
   caption=
     "[1] MICS indicator TC.43 - Bottle feeding".
	 
 
* Ctables command in French.
* ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageCat [c]
         + melevel [c]         
        + caretakerdis[c]
        + ethnicity [c]
        + windex5 [c]
   by
           bottleFeeding [s] [mean '' f5.1]
         + numChildren [s] [count,'' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visable = no
  /titles title=
     "Tableau TC.7.8: Alimentation au biberon "
     "Pourcentage d'enfants ags de 0-23 mois qui ont t allaits avec un biberon la veille, " + surveyname
   caption=
     "[1] Indicateur MICS TC.43 - Alimentation au biberon".

* Ctables command in Spanish.
* ctables
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + ageCat [c]
         + melevel [c]         
        + caretakerdis[c]
        + ethnicity [c]
        + windex5 [c]
   by
           bottleFeeding [s] [mean '' f5.1]
         + numChildren [s] [count,'' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visable = no
  /titles title=
     "Tabla TC.7.8: Alimentacin con bibern"
     "Porcentaje de nios/as de 0-23 meses de edad que fueron alimentados con un bibern con pezn durante el da anterior, " + surveyname
   caption=
     "[1] MICS indicador TC.43 - Alimentacin con bibern".	 

new file.
