* Encoding: UTF-8.
include "surveyname.sps".

get file = 'hl.sav'.

weight by hhweight.

* include definition of primarySchoolEntryAge .
include 'define/MICS6 - 08 - LN.sps' .

* Select children who are attending first grade of primary education regardless of age.
select if (ED10A = 1 and ED10B = 1).

compute numChildren = 1.
variable labels numChildren  "".
value labels numChildren 1 "Number of children attending first grade of primary school".

compute firstGrade  = 0.
if (ED16A = 0) firstGrade =  100.
variable labels firstGrade "Percentage of children attending first grade who attended preschool in previous year [1]".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels firstGrade "Pourcentage d'enfants en premire anne qui ont frquent l'cole maternelle l'anne prcdente [1]".
* value labels numChildren 1 "Nombre d'enfants frquentant la premire anne d'cole primaire".

*  For labels in Spanish uncomment commands below.
* variable labels firstGrade "Porcentaje de nios/as que asisten al primer grado que asistieron al preescolar el ao anterior [1]".
* value labels numChildren 1 "Nmero de nios/as que asisten al primer grado de la escuela primaria ".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = numChildren
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Table LN.2.1: School readiness"	
    "Percentage of children attending first grade of primary school who attended pre-school the previous year, " + surveyname
   caption=
    "[1] MICS indicator LN.3 - School readiness"
  .

* Ctables command in French.  
* ctables
  /vlabels variables = numChildren
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Tableau LN.2.1: Prparation  l'cole"	
    "Pourcentage d'enfants inscrits en premire anne d'cole primaire ayant frquent l'cole maternelle l'anne prcdente, " + surveyname
   caption=
    "[1] Indicateur MICS LN.3 - Prparation  l'cole"
  .

  * Ctables command in Spanish.  
* ctables
  /vlabels variables = numChildren
           display = none
  /table   total [c]
         + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + melevel [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           firstGrade [s] [mean '' f5.1]
         + numChildren [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column
  /titles title=
    "Tabla LN.2.1: Preparacin para la escuela"	
    "Porcentaje de nios/as que asisten al primer grado de la escuela primaria que asistieron al preescolar el ao anterior, " + surveyname
   caption=
    "[1] MICS indicador LN.3 - Preparacin para la escuela"
  .

new file.
