* Encoding: windows-1252.

* v02 - 2019-08-27. Last modified to reflect tab plan changes as of 25 July 2019.

include "surveyname.sps".

get file = 'fs.sav'.

weight by fsweight.

select if (CB3 >=7 and CB3<=14).

compute attendingSchool = 0.
if (CB7 = 1) attendingSchool = 100.
variable labels attendingSchool "Percentage of children attending school".

* Children in Public are: ED11=1; Non-public: ED11=2-6. Children for whom the respondent did not know the management sector, 
ED11=8, if present in data, can be shown separately or also suppressed from disaggregate by adding this condition to note B (second sentence): 
"Children out of school, attending ECE or for whom the sector was not known by respondent are not shown.".
do if (ED10A > 0).
+ recode ED11 (11 = 1) (2 thru 6 = 2) (else = 9) into schoolManagment.
end if.
variable labels schoolManagment "School management [A]"
1 "Public"
2 "Non-public"
9 "DK/Missing".

do if (attendingSchool = 100).

*Percentage of children who in the last year could not attend class due absence of teacher or school closure: PR12 [A]=1, PR12 [B]=1, PR12 [C]=1, PR12 [X]=1 or PR13=1.
compute noClass = 0.
if (PR12A=1 or PR12B=1 or PR12C=1 or PR12X=1 or PR13=1) noClass = 100.
variable labels noClass "Percentage of children who in the last year could not attend class due to absence of teacher or school closure".

compute numAttending = 1.

end if.

do if (noClass = 100).

compute naturalDisasters = 0.
if (PR12A = 1) naturalDisasters = 100.

compute manMade = 0.
if (PR12B = 1) manMade = 100.

compute strike = 0.
if (PR12C = 1) strike = 100.

compute other = 0.
if (PR12X = 1) other = 100.

compute absence = 0.
if (PR13 = 1) absence = 100.

compute strikeAbsence = 0.
if (PR12C = 1 or PR13 = 1) strikeAbsence = 100.

compute numNotAttending = 1.

end if.

do if (strikeAbsence = 100).

compute contactingSchool = 0.
if (PR15=1) contactingSchool = 100.

compute numNotAttending2 = 1.

end if.

compute layer = 0.
variable labels layer " ".
value labels layer 0 "Percentage of children unable to attend class in the last year due to a school-related reason:".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".	
		
variable labels noClass "Percentage of children who in the last year could not attend class due to absence of teacher or school closure".
variable labels numAttending "Number of children age 7-14 years attending school".
variable labels naturalDisasters "Natural disasters".
variable labels manMade "Man-made disasters".
variable labels strike "Teacher strike".
variable labels other "Other".
variable labels absence "Teacher absence".
variable labels strikeAbsence "Teacher strike or absence".
variable labels numNotAttending " Number of children age 7-14 who could not attend class in the last year due to a school-related reason".	
variable labels contactingSchool "Percentage of adult household members contacting school officials or governing body representatives on instances of teacher strike or absence [1]".
variable labels numNotAttending2 " Number of children age 7-14 years who could not attend class in the last year due to teacher strike or absence".			

recode CB8A (0=0)(1=1)(2=2)(3,4, 5 = 3) (8,9 = 9)(else = 10) into school.
variable labels school "School attendance".
value lables school
0 "Early childhood education"
1 "Primary"
2 "Lower secondary"
3 "Upper secondary"
9 "DK/Missing"
10 "Out-of-school".

*  For labels in French uncomment commands below.
* variable labels
   noClass "Pourcentage d'enfants qui, l'anne dernire, n'ont pu assister  la classe en raison de l'absence d'enseignants ou de la fermeture scolaire "
   /numAttending "Nombre d'enfants de 7-14 ans frquentant l'cole "
   /naturalDisasters "Catastrophes naturelles"
   /manMade "Catastrophes causes par l'homme "
   /strike "Grve de l'enseignant "
   /other "Autres"
   /absence "Absence du professeur "
   /strikeAbsence "Grve ou absence de l'enseignant"
   /numNotAttending " Nombre d'enfants gs de 7-14 ans qui ne pouvait pas assister  la classe l'anne dernire pour une raison lie  l'cole"
   /contactingSchool "Pourcentage de membres adultes du mnage qui contactent les responsables de l'cole ou les reprsentants des organes directeurs en cas de grve ou d'absence des enseignants [1]"
   /numNotAttending2 "Nombre d'enfants gs de 7-14 ans qui ne pouvait pas assister  la classe l'anne dernire en raison d'une grve ou d'une absence".
* value labels layer 0 "Pourcentage d'enfants incapables d'aller en classe l'anne dernire pour une raison scolaire: ".
* variable labels school "Frquentation scolaire".
* value lables school
      0 "Pr-primaire ou aucun"
      1 "Primaire"
      2 "Secondaire 1er Cycle"
      3 "Secondaire 2eme Cycle"
      9 "NSP/Manquant"
      10 "'En dehors de l'Ecole".
*variable labels schoolManagment "School management [A]".
*1 "Public"
*2 "Non-public"
*9 "DK/Missing".

*  For labels in Spanish uncomment commands below.
* variable labels
   noClass "Porcentaje de nios que en el ltimo ao no pudieron asistir a clase debido a la ausencia del maestro o al cierre de la escuela"
   /numAttending "Number of children age 7-14 years attending school"
   /naturalDisasters "Desastres naturales"
   /manMade "Desastres causados por el hombre"
   /strike "Huelga de maestros"
   /other "Otro"
   /absence "Maestro ausente"
   /strikeAbsence "Huelga o ausencia del maestro"
   /numNotAttending " Nmero de nios de 7 a 14 aos que no pudieron asistir a clase en el ltimo ao debido a un motivo relacionado con la escuelae"
   /contactingSchool "Porcentaje de miembros adultos de la familia que se ponen en contacto con los funcionarios escolares o los representantes de los rganos rectores en casos de huelga o ausencia de maestros [1]"
   /numNotAttending2 "Nmero de nios de 7 a 14 aos que no pudieron asistir a clase en el ltimo ao debido a una huelga o ausencia del maestro".
* value labels layer 0 "Porcentaje de nios que no pudieron asistir a clase en el ltimo ao debido a un motivo relacionado con la escuela:".
* variable labels school "Asistencia a la escuela".
* value lables school
      0 "Pre-primaria o ninguna"
      1 "Primaria"
      2 "Secundaria baja"
      3 "Secundaria alta"
      9 "NS/Ignorado"
      10 "'Fuera de la escuela".
*variable labels schoolManagment "School management [A]".
*1 "Public"
*2 "Non-public"
*9 "DK/Missing".


* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = layer
           display = none
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + schoolManagment [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]         
         + windex5 [c]
   by
           noClass [s] [mean '' f5.1] 
           + numAttending [s] [validn '' f5.0] 
           + layer [c] > (naturalDisasters [s] [mean '' f5.1] + manMade [s] [mean '' f5.1] + strike [s] [mean '' f5.1] + other [s] [mean '' f5.1] + absence [s] [mean '' f5.1] + strikeAbsence [s] [mean '' f5.1]) 
           + numNotAttending [s] [validn '' f5.0] 
           + contactingSchool [s] [mean '' f5.1]
           + numNotAttending2 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Table LN.3.2: School-related reasons for inability to attend class"								
     "Percentage of children age 7-14 not able to attend class due to absence of teacher or school closure, by reason for inability, " +
     "and percentage of adult household members contacting school officials or governing body representatives on instances of teacher strike or absence, " + surveyname
   caption = 
   "[1] MICS indicator LN.17 - Contact with school concerning teacher strike or absence"
   "[A] School management sector was collected for children attending primary education or higher. Children out of school or attending ECE are not shown."	
.				

* Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer
           display = none
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + schoolManagment [c]
         + fsdisability [c]
         + caretakerdis [c]
         + ethnicity [c]
         + windex5 [c]
   by
           noClass [s] [mean '' f5.1] 
           + numAttending [s] [validn '' f5.0] 
           + layer [c] > (naturalDisasters [s] [mean '' f5.1] + manMade [s] [mean '' f5.1] + strike [s] [mean '' f5.1] + other [s] [mean '' f5.1] + absence [s] [mean '' f5.1] + strikeAbsence [s] [mean '' f5.1]) 
           + numNotAttending [s] [validn '' f5.0] 
           + contactingSchool [s] [mean '' f5.1]
           + numNotAttending2 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tableau LN.3.2: Raisons lies  l'cole pour l'incapacit d'assister  la classe"								
     "Percentage of children age 7-14 not able to attend class due to absence of teacher or school closure, by reason for inability, " +
     "and percentage of adult household members contacting school officials or governing body representatives on instances of teacher strike or absence, " + surveyname
   caption = 
   "[1] Indicateur MICS LN.17 - Contact avec l'cole concernant la grve ou l'absence d'un enseignant"
   "[A] School management sector was collected for children attending primary education or higher. Children out of school or attending ECE are not shown."	
.	


* Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer
           display = none
  /table   total [c] 
        + hl4 [c]
         + hh6 [c]
         + hh7 [c]
         + schage [c]
         + school [c]
         + melevel [c]
         + schoolManagment [c]
         + fsdisability [c]
         + caretakerdis [c]
         + windex5 [c]
         + ethnicity [c]         
   by
           noClass [s] [mean '' f5.1] 
           + numAttending [s] [validn '' f5.0] 
           + layer [c] > (naturalDisasters [s] [mean '' f5.1] + manMade [s] [mean '' f5.1] + strike [s] [mean '' f5.1] + other [s] [mean '' f5.1] + absence [s] [mean '' f5.1] + strikeAbsence [s] [mean '' f5.1]) 
           + numNotAttending [s] [validn '' f5.0] 
           + contactingSchool [s] [mean '' f5.1]
           + numNotAttending2 [s] [validn '' f5.0] 
  /categories var=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title=
    "Tabla LN.3.2: Razones para no asistir a clases relacionadas con la escuela"								
     "Percentage of children age 7-14 not able to attend class due to absence of teacher or school closure, by reason for inability, " +
     "and percentage of adult household members contacting school officials or governing body representatives on instances of teacher strike or absence, " + surveyname
   caption = 
   "[1] MICS indicador LN.17 - Contacto con la escuela sobre huelga o ausencia del maestro"
   "[A] School management sector was collected for children attending primary education or higher. Children out of school or attending ECE are not shown."	
.	
						
   
new file.
