* Encoding: windows-1252.
include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

compute numMen15_49 = 1.
compute before15 = 0.
if (MWAGEM < 15) before15 = 100.

do if (MWB4 >= 20).
+ compute numMen20_49 = 1.
+ compute before152049 = 0.
+ if (MWAGEM < 15) before152049 = 100.
+ compute before18 = 0.
+ if (MWAGEM < 18) before18 = 100.
end if.

do if (MWB4 >= 20 and MWB4 <= 24).
+ compute numMen20_24 = 1.
+ compute before15_1 = 0.
+ if (MWAGEM < 15) before15_1 = 100.
+ compute before18_1 = 0.
+ if (MWAGEM < 18) before18_1 = 100.
end if.

do if (MWB4 < 20).
+ compute numMen15_19 = 1.
+ compute currentlyMarried = 0.
+ if any(MMA1, 1, 2) currentlyMarried = 100 .
end if.

do if (any(MMA1, 1, 2)) .
+ compute numMarried = 1 .
+ compute inPolygynous = 0.
+ if (MMA3=1) inPolygynous = 100 .
end if.

compute layer15_49 = 1 .
compute layer20_49 = 1 . 
compute layer20_24 = 1 .
compute layer15_19 = 1 .
value labels 
   layer15_49 1 "Men age 15-49 years"
  /layer20_49 1 "Men age 20-49 years" 
  /layer20_24 1 "Men age 20-24 years"  
  /layer15_19 1 "Men age 15-19 years"
  /numMen15_49 1 "Number of men age 15-49 years" 
  /numMen20_49 1 "Number of men age 20-49 years"
  /numMen20_24 1 "Number of men age 20-24 years"   
  /numMen15_19 1 "Men age 15-19 years" 
  /numMarried 1 "Number of men age 15-49 years currently married/in union".
  
variable labels 
    before15    "Percentage married before age 15"
   /before152049    "Percentage married before age 15"    
   /before15_1  "Percentage married before age 15 [1]" 
   /before18    "Percentage married before age 18"
   /before18_1    "Percentage married before age 18 [2]"
   /currentlyMarried "Percentage currently  married/in union [3]"
   /inPolygynous "Percentage in polygynous marriage/ union [4]" .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* value labels 
   layer15_49 1 "Hommes de 15  49 ans"
  /layer20_49 1 "Hommes de 20  49 ans" 
  /layer20_24 1 "Hommes de 20  24 ans" 	  							  
  /layer15_19 1 "Hommes de 15  19 ans"
  /numMen15_49 1 "Nombre d'hommes d'ge 15-49 ans" 
  /numMen20_49 1 "Nombre d'hommes d'ge 20-49 ans"
  /numMen20_24 1 "Nombre d'hommes d'ge 20-24 ans"		  									  
  /numMen15_19 1 "Nombre d'hommes d'ge 15-19 ans" 
  /numMarried 1 "Nombre d'hommes ges de 15  49 ans actuellement mari / en union".  
* variable labels 
    before15    "Pourcentage maris avant l'ge de 15"
   /before15_1  "Pourcentage maris avant l'ge de 15 [1]" 
   /before152049    "Pourcentage des maris avant l'ge de 15 ans"    
   /before18    "Pourcentage mari avant l'ge de 18 ans"
   /before18_1    "Pourcentage mari avant l'ge de 18 ans [2]"   
   /currentlyMarried "Pourcentage actuellement maris / en union [3]"
   /inPolygynous "Pourcentage de mariage polygame / union [4]". 
   
*  For labels in Spanish uncomment commands below.
* value labels 
   layer15_49 1 "Hombres de 15-49 aos"
  /layer20_49 1 "Hombres de 20-49 aos" 
  /layer20_24 1 "Hombres de 20-24 aos"   
  /layer15_19 1 "Hombres de 15-19 aos"
  /numMen15_49 1 "Nmero de hombres de 15 a 49 aos" 
  /numMen20_49 1 "Nmero de hombres de 20 a 49 aos"
  /numMen20_24 1 "Nmero de hombres de 20 a 24 aos"  
  /numMen15_19 1 "Nmero de hombres de 15 a 19 aos" 
  /numMarried 1 "Nmero de hombres de 15-49 aos actualmente casados/unidos".  
* variable labels 
    before15    "Porcentaje de casados antes de los 15 aos"
   /before15_1  "Porcentaje de casados antes de los 15 aos [1]" 
   /before152049  "Porcentaje de casados antes de los 15 aos"    
   /before18    "Porcentaje de casados antes de los 18 aos"
   /before18    "Porcentaje de casados antes de los 18 aos [2]"   
   /currentlyMarried "Porcentaje actualmente casados/unidos [3]"
   /inPolygynous "Porcentaje casados/unidos en poligamia [4]".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 layer20_24 numMarried numMen15_19 numMen15_49 numMen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numMen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numMen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Table PR.4.1M: Child marriage and polygyny (men)"
    "Percentage of men age 15-49 years who first married or entered a marital union before their 15th birthday, " 
    "percentages of men age 20-49 and 20-24 years who first married or entered a marital union before their 15th and 18th birthdays, "
    "percentage of men age 15-19 years currently married or in union, and the percentage of men who are in a polygynous marriage or union,  " + surveyname
  caption = 
    "[1] MICS indicator PR.4a - Child marriage (before age 15); SDG 5.3.1"														
    "[2] MICS indicator PR.4b - Child marriage (before age 18); SDG 5.3.1"												
    "[3] MICS indicator PR.5 - Young men age 15-19 years currently married or in union"															
    "[4] MICS indicator PR.6 - Polygyny"															
     "na: not applicable"
  .
  
  * Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 layer20_24 numMarried numMen15_19 numMen15_49 numMen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numMen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numMen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Tableau PR.4.1M: Mariage d'enfants et polygynie (hommes)"
    "Pourcentage d'hommes ges de 15  49 ans qui se sont maris ou ont contract une union conjugale avant leur 15e anniversaire, " 
    "pourcentage de hommes ges de 20  49 ans et de 20  24 ans qui se sont maries ou ont contract une union conjugale avant leurs 15e et 18e anniversaires, "
    "les hommes ges de 15  19 ans actuellement maries ou en union, et le pourcentage de hommes qui sont dans un mariage ou une union polygyne,  " + surveyname
  caption = 
    "[1] Indicateur MICS PR.4a - Mariage d'enfants (avan 15 ans); SDG 5.3.1"														
    "[2] Indicateur MICS PR.4b - Mariage d'enfants (avant 18 ans); SDG 5.3.1"														
    "[3] Indicateur MICS PR.5 - Jeunes hommes gs de 15  19 ans actuellement maris ou en union"															
    "[4] Indicateur MICS PR.6 - Polygynie"	
    "na: n'est pas applicable".
  
  * Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 layer20_24 numMarried numMen15_19 numMen15_49 numMen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $mwage [c]
        + mwelevel [c]
        + mdisability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numMen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numMen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Tabla PR.4.1M: Matrimonio infantil y poliginia (hombres)"
    "Porcentaje de hombres de 15 a 49 años que se casaron o unieron por primera vez antes de cumplir 15 años, " 
    "porcentaje de hombres de 20 a 49 años y de 20 a 24 años que se casaron o unieron por primera vez antes de cumplir 15 y 18 años, "
    "porcentaje de hombres de 15 a 19 años actualmente casados o en unión, y porcentaje de hombres en un matrimonio o unión polígama,  " + surveyname
  caption = 
    "[1] Indicador MICS PR.4a - Matrimonio infantil  (antes de los 15 años); Indicador ODS 5.3.1"														
    "[2] Indicador MICS PR.4b - Matrimonio infantil  (antes de los 18 años); Indicador ODS 5.3.1"														
    "[3] Indicador MICS PR.5 - Mujeres jóvenes de entre 15 y 19 años que están actualmente casadas o en unión "															
    "[4] Indicador MICS PR.6 - Poligamia"	
    "na: no aplicable".

new file.
