﻿* Encoding: windows-1252.

include "surveyname.sps".

get file = 'wm.sav'.

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

compute numWomen15_49 = 1.
compute before15 = 0.
if (WAGEM < 15) before15 = 100.

do if (WB4 >= 20).
+ compute numWomen20_49 = 1.
+ compute before152049 = 0.
+ if (WAGEM < 15) before152049 = 100.
+ compute before18 = 0.
+ if (WAGEM < 18) before18 = 100.
end if.

do if (WB4 >= 20 and WB4 <= 24).
+ compute numWomen20_24 = 1.
+ compute before15_1 = 0.
+ if (WAGEM < 15) before15_1 = 100.
+ compute before18_1 = 0.
+ if (WAGEM < 18) before18_1 = 100.
end if.

do if (WB4 < 20).
+ compute numWomen15_19 = 1.
+ compute currentlyMarried = 0.
+ if any(MA1, 1, 2) currentlyMarried = 100 .
end if.

do if (any(MA1, 1, 2)) .
+ compute numMarried = 1 .
+ compute inPolygynous = 0.
+ if (MA3=1) inPolygynous = 100 .
end if.

compute layer15_49 = 1 .
compute layer20_49 = 1 . 
compute layer20_24 = 1 . 
compute layer15_19 = 1 .
value labels 
   layer15_49 1 "Women age 15-49 years"
  /layer20_49 1 "Women age 20-49 years" 
  /layer20_24 1 "Women age 20-24 years" 
  /layer15_19 1 "Women age 15-19 years"
  /numWomen15_49 1 "Number of women age 15-49 years" 
  /numWomen20_49 1 "Number of women age 20-49 years"
  /numWomen20_24 1 "Number of women age 20-24 years"
  /numWomen15_19 1 "Women age 15-19 years" 
  /numMarried 1 "Number of women age 15-49 years currently married/in union".
  
  
variable labels 
    before15    "Percentage married before age 15"
   /before152049    "Percentage married before age 15"
   /before15_1  "Percentage married before age 15 [1]" 
   /before18    "Percentage married before age 18"
   /before18_1    "Percentage married before age 18 [2]"
   /currentlyMarried "Percentage currently married/in union [3]"
   /inPolygynous "Percentage in polygynous marriage/in union [4]" .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
    before15    "Pourcentage mariées avant 15 ans "													   
   /before15_1  "Pourcentage mariées avant 15 ans  [1]" 
   /before152049    "Pourcentage des mariés avant l'âge de 15 ans"      					   
   /before18    "Pourcentage mariées avant 18 ans"
   /before18_1    "Pourcentage marié avant l'âge de 18 ans [2]"      
   /currentlyMarried "Pourcentage actuellement mariées / en union [3]"
   /inPolygynous "Pourcentage de mariage polygame / union [4]".
* value labels 
   layer15_49 1 "Femmes de 15 à 49 ans"
  /layer20_49 1 "Femmes de 20 à 49 ans" 
  /layer20_24 1 "Femmes de 20 à 24 ans" 		  				   
  /layer15_19 1 "Femmes de 15 à 19 ans"
  /numWomen15_49 1 "Nombre de femmes 15-49 ans " 
  /numWomen20_49 1 "Nombre de femmes 20-49 ans "
  /numWomen20_24 1 "Nombre de femmes 20-24 ans "		  							 
  /numWomen15_19 1 "Nombre de femmes 15-19 ans " 
  /numMarried 1 "Nombre de femmes âgées de 15 à 49 ans actuellement marié / en union". 

*  For labels in Spanish uncomment commands below.
* variable labels 
    before15    "Porcentaje de casadas antes de los 15 años "
   /before15_1  "Porcentaje de casadas antes de los 15 años  [1]" 
   /before152049    "Pourcentage des mariés avant l'âge de 15 ans"       
   /before18    "Porcentaje de casadas antes de los 18 años"
   /before18_1    "Porcentaje de casadas antes de los 18 años [2]"   
   /currentlyMarried "Porcentaje actualmente casadas/unidas [3]"
   /inPolygynous "Porcentaje casadas/unidas en poligamia [4]".
* value labels 
   layer15_49 1 "Mujeres de 15-49 años"
  /layer20_49 1 "Mujeres de 20-49 años" 
  /layer20_24 1 "Mujeres de 20-24 años"   
  /layer15_19 1 "Mujeres de 15-19 años"
  /numWomen15_49 1 "Número de mujeres de 15 a 49 años" 
  /numWomen20_49 1 "Número de mujeres de 20 a 49 años "
  /numWomen20_24 1 "Número de mujeres de 20 a 24 años "  
  /numWomen15_19 1 "Número de mujeres de 15 a 19 años " 
  /numMarried 1 "Número de mujeres de 15-49 años actualmente casadas/unidas".    
   
* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 layer20_24 numMarried numWomen15_19 numWomen15_49 numWomen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numWomen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numWomen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Table PR.4.1W: Child marriage and polygyny (women)"
    "Percentage of women age 15-49 years who first married or entered a marital union before their 15th birthday, " 
    "percentages of women age 20-49 and 20-24 years who first married or entered a marital union before their 15th and 18th birthdays, "
    "percentage of women age 15-19 years currently married or in union, and the percentage of women who are in a polygynous marriage or union,  " + surveyname
  caption = 
    "[1] MICS indicator PR.4a - Child marriage (before age 15); SDG 5.3.1"														
    "[2] MICS indicator PR.4b - Child marriage (before age 18); SDG 5.3.1"														
    "[3] MICS indicator PR.5 - Young women age 15-19 years currently married or in union"															
    "[4] MICS indicator PR.6 - Polygyny"															
     "na: not applicable"
  .

  * Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 layer20_24 numMarried numWomen15_19 numWomen15_49 numWomen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numWomen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numWomen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Tableau PR.4.1W: Mariage d'enfants et polygynie (femmes)"
    "Pourcentage de femmes âgées de 15 à 49 ans qui se sont mariées ou ont contracté une union conjugale avant leur 15e anniversaire, " 
    "pourcentage de femmes âgées de 20 à 49 ans et de 20 à 24 ans qui se sont mariées ou ont contracté une union conjugale avant leurs 15e et 18e anniversaires, "
    "les femmes âgées de 15 à 19 ans actuellement mariées ou en union, et le pourcentage de femmes qui sont dans un mariage ou une union polygyne,  " + surveyname
  caption = 
    "[1] Indicateur MICS PR.4a - Mariage d'enfants (avant 15 ans); ODD 5.3.1"														
    "[2] Indicateur MICS PR.4b - Mariage d'enfants (avant 18 ans); ODD 5.3.1"														
    "[3] Indicateur MICS PR.5 - Jeunes femmes de 15-19 ans actuellement mariées ou en union"															
    "[4] Indicateur MICS PR.6 - Polygynie"	
    "na: n'est pas applicable".
	
  * Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = layer15_19 layer15_49 layer20_49 numMarried numWomen15_19 numWomen15_49 numWomen20_49
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + $wage [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          layer15_49 [c] > (
            before15 [s][mean '' f5.1]
          + numWomen15_49 [c][count '' f5.0] )
        + layer20_49 [c] > (
            before152049 [s][mean '' f5.1]
          + before18 [s][mean '' f5.1]
          + numWomen20_49 [c][count '' f5.0] )
        + layer20_24 [c] > (
            before15_1 [s][mean '' f5.1]
          + before18_1 [s][mean '' f5.1]
          + numWomen20_24 [c][count '' f5.0] )          
        + layer15_19 [c] > (
            currentlyMarried [s][mean '' f5.1]
          + numWomen15_19 [c][count '' f5.0] )
        + layer15_49 [c] > (
            inPolygynous [s][mean '' f5.1]
          + numMarried [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=all empty=exclude missing=exclude
  /titles title=
    "Tabla PR.4.1W: Matrimonio infantil y poliginia (mujeres)"
    "Porcentaje de mujeres de 15 a 49 años que se casaron o unieron por primera vez antes de cumplir 15 años, "  +
	"porcentaje de mujeres de 20 a 49 años y de 20 a 24 años que se casaron o unieron por primera vez antes de cumplir 15 y 18 años,  " 
    "porcentaje de mujeres de 15 a 19 años actualmente casadas o en unión, y porcentaje de mujeres en un matrimonio o unión polígama, " + surveyname
  caption = 
    "[1] Indicador MICS PR.4a - Matrimonio infantil  (antes de los 15 años); Indicador ODS 5.3.1"														
    "[2] Indicador MICS PR.4b - Matrimonio infantil  (antes de los 18 años); Indicador ODS 5.3.1"														
    "[3] Indicador MICS PR.5 - Mujeres jóvenes de entre 15 y 19 años que están actualmente casadas o en unión "															
    "[4] Indicador MICS PR.6 - Poligamia"	
    "na: no aplicable".


new file.
