﻿* Encoding: windows-1252.
* MICS5 CP-08.

* v01 - 2014-03-14.
* v02 - 2014-04-22.
* added " empty=exclude missing=exclude" under ctables command.
* variable labels before15 and before18 updated.

* Figures in the total row are based on Men age 15-49 and 20-49 for marriage before age 15 and age 18, respectively .

***.


include "surveyname.sps".

get file = 'mn.sav'.

include "CommonVarsMN.sps".

select if (MWM17 = 1).

weight by mnweight.

compute before15 = 0.
if (MWAGEM < 15) before15 = 100.
compute numMen15_49 = 1.

do if (MWB4 >= 20).
+ compute numMen20_49 = 1.
+ compute before18 = 0.
+ if (MWAGEM < 18) before18 = 100.
end if.

value labels 
   numMen15_49 1 "Number of men age 15-49 years" 
  /numMen20_49 1 "Number of men age 20-49 years" .
  
variable labels 
    before15    "Percentage of men married before age 15"
   /before18    "Percentage of men married before age 18" .

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
    before15    "Pourcentage d'hommes mariées avant 15 ans"
   /before18    "Pourcentage d'hommes mariées avant 18 ans" .
* value labels 
   numMen15_49 1 "Nombre d'hommes âgées de 15 à 49 ans " 
  /numMen20_49 1 "Nombre d'hommes âgées de 20 à 49 ans " .
  
*  For labels in Spanish uncomment commands below.
* variable labels 
    before15    "Porcentaje de hombres casados antes de los 15 años"
   /before18    "Porcentaje de hombres casados antes de los 18 años" .
* value labels 
   numMen15_49 1 "Número de hombres de 15-49 años " 
  /numMen20_49 1 "Número de hombres de 20-49 años " .

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /format missing = "na" 
  /vlabels variables = numMen15_49 numMen20_49 HH6
           display = none
  /table  total [c]
        + $mwage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="All" position=after empty=exclude missing=exclude
  /titles title=
    "Table PR.4.2M: Trends in child marriage (men)"
    "Percentage of men who were first married or entered into a marital union before their 15th and 18th birthday, by area and age groups, " + surveyname
   caption =     
    "na: not applicable"
  .


* Ctables command in French.  
* ctables
  /format missing = "na" 
  /vlabels variables = numMen15_49 numMen20_49 HH6
           display = none
  /table  total [c]
        + $mwage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="Ensemble" position=after empty=exclude missing=exclude
  /titles title=
    "Tableau PR.4.2M: Tendances du mariage d'enfants (hommes)"
    "Pourcentage d'hommes qui se sont mariés ou qui ont contracté une union conjugale avant leurs 15e et 18e anniversaires, selon le milieu et le groupe d'âge, " + surveyname
   caption = 
   "na: n'est pas applicable".
	

* Ctables command in Spanish.  
* ctables
  /format missing = "na" 
  /vlabels variables = numMen15_49 numMen20_49 HH6
           display = none
  /table  total [c]
        + $mwage [c]
   by
          HH6 [c] > (
            before15 [s][mean '' f5.1]
          + numMen15_49 [c][count '' f5.0] 
          + before18 [s][mean '' f5.1]
          + numMen20_49 [c][count '' f5.0] )
  /slabels position=column visible = no
  /categories variables=HH6 total=yes label="All" position=after empty=exclude missing=exclude
  /titles title=
    "Tabla PR.4.2M: Tendencias en el matrimonio infantil (hombres)"
    "Porcentaje de hombres que se casaron por primera vez o iniciaron una unión marital antes de los 15 y 18 años de edad, por área y grupos de edad, " + surveyname
   caption = 
   "na: no aplicable".
   
new file.
