* Encoding: windows-1252.
* MICS5 CP-09.

* v01 - 2013-10-24.
* v02 - 2014-04-22.
* variable WomanAge renamed to wage.

* Currently married or in union
    (MA1=1 or 2) women age 15-19 and 20-24 according to the difference in age with their husbands/partners
    (MA2<>98 and ((MA2-(WB1-WM6)>=10) or (MA2-WB2>=10))= <0, 0-4, 5-9, 10+) .

***.


include "surveyname.sps".

get file = "wm.sav".

include "CommonVarsWM.sps".

select if (WM17 = 1).

weight by wmweight.

select if (any(MA1, 1, 2) and any(wage, 1, 2)).

if (MA2 < 96) ageDifference = MA2 - rnd((wdoi-wdob)/12,1) .
variable labels ageDifference "Age difference with partner".

do if (wage = 1).
+ compute numWomen15_19 = 1.
+ recode ageDifference (lo thru -1 = 1) (0 thru 4 = 2) (5 thru 9 = 3) (10 thru hi = 4) (sysmis = 9) into ageDifference1.
end if.

value labels numWomen15_19 1 "Number of women age 15-19 years currently married/in union".

variable labels ageDifference1 "Percentage of currently married/in union women age 15-19 years whose husband or partner is:".
value labels ageDifference1
  1 "Younger"
  2 "0-4 years older"
  3 "5-9 years older"
  4 "10+ years older [1]"
  9 "Husband/partner's age unknown".

do if (wage = 2).
+ compute numWomen20_24 = 1.
+ recode ageDifference (lo thru -1 = 1) (0 thru 4 = 2) (5 thru 9 = 3) (10 thru hi = 4) (sysmis = 9) into ageDifference2.
end if.

variable labels numWomen20_24 "".
value labels numWomen20_24 1 "Number of women age 20-24 years currently married/in union".

variable labels ageDifference2 "Percentage of currently married/in union women age 20-24 years whose husband or partner is:".
value labels ageDifference2
  1 "Younger"
  2 "0-4 years older"
  3 "5-9 years older"
  4 "10+ years older [2]"
  9 "Husband/partner's age unknown".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* variable labels 
    ageDifference1 "Pourcentage de femmes actuellement maries / maries de 15  19 ans dont le mari ou le partenaire est:"
   /ageDifference2 "Pourcentage de femmes actuellement maries / maries de 20  24 ans dont le mari ou le partenaire est:".
* value labels 
    numWomen15_19 1 "Nombre de femmes ges de 15  19 ans actuellement maries / en union "
   /numWomen20_24 1 "Nombre de femmes ges de 20  24 ans actuellement maries / en union "
   /ageDifference1
     1 "Plus jeune "
     2 "0-4 ans plus g"
     3 "5-9 ans plus g"
     4 "10+ ans plus g [1]"
     9 "ge de l'poux / partenaire inconnu "
   /ageDifference2
     1 "Plus jeune "
     2 "0-4 ans plus g"
     3 "5-9 ans plus g"
     4 "10+ ans plus g [2]"
     9 "ge de l'poux / partenaire inconnu ".
	 
*  For labels in Spanish uncomment commands below.
* variable labels 
    ageDifference "Porcentaje de mujeres de 15 a 19 aos actualmente casadas/en unin cuyo esposo o compaero es:"
   /ageDifference2 "Porcentaje de mujeres de 20 a 24 aos actualmente casadas/en unin cuyo esposo o compaero es:".
* value labels 
    numWomen15_19 1 "Nmero de mujeres de 15 a 19 aos actualmente casadas/ en unin "
   /numWomen20_24 1 "Nmero de mujeres de 20 a 24 aos actualmente casadas/ en unin "
   /ageDifference1
     1 "Ms joven "
     2 "0-4 aos mayor"
     3 "5-9 aos mayor"
     4 "10+ aos mayor [1]"
     9 "Edad del esposo/ compaero desconocida "
   /ageDifference2
     1 "Ms joven "
     2 "0-4 aos mayor"
     3 "5-9 aos mayor"
     4 "10+ aos mayor [2]"
     9 "Edad del esposo/ compaero desconocida ".

* Ctables command in English (currently active, comment it out if using different language).
ctables
  /vlabels variables = numWomen15_19 numWomen20_24
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          ageDifference1 [c] [rowpct.validn '' f5.1]
        + numWomen15_19 [c] [count '' f5.0]
        + ageDifference2 [c] [rowpct.validn '' f5.1]
        + numWomen20_24 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables= ageDifference1 ageDifference2 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Table PR.4.3: Spousal age difference"
     "Percent distribution of women currently married/in union age 15-19 and 20-24 years according to the age difference with their husband or partner, " + surveyname
   caption=
     "[1] MICS indicator PR.7a - Spousal age difference (among women age 15-19)"
     "[2] MICS indicator PR.7b - Spousal age difference (among women age 20-24)"
  .

  * Ctables command in French.  
* ctables
  /vlabels variables = numWomen15_19 numWomen20_24
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          ageDifference1 [c] [rowpct.validn '' f5.1]
        + numWomen15_19 [c] [count '' f5.0]
        + ageDifference2 [c] [rowpct.validn '' f5.1]
        + numWomen20_24 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables= ageDifference1 ageDifference2 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Tableau PR.4.3: Diffrence d'ge entre conjoints"
     "Pourcentage de femmes actuellement maries / en union entre 15 et 19 ans et 20-24 ans selon la diffrence d'ge avec leur mari ou partenaire, " + surveyname
   caption=
     "[1] Indicateur MICS PR.7a - Diffrence d'ge entre conjoints (chez les femmes de 15  19 ans)"
     "[2] Indicateur MICS PR.7b - Diffrence d'ge entre conjoints (chez les femmes de 20  24 ans)"
  .

  
  * Ctables command in Spanish.  
* ctables
  /vlabels variables = numWomen15_19 numWomen20_24
           display = none
  /table  total [c]
        + hh6 [c]
        + hh7 [c]
        + welevel [c]
        + disability [c]
        + ethnicity [c]
        + windex5 [c]
   by
          ageDifference1 [c] [rowpct.validn '' f5.1]
        + numWomen15_19 [c] [count '' f5.0]
        + ageDifference2 [c] [rowpct.validn '' f5.1]
        + numWomen20_24 [c] [count '' f5.0]
  /categories variables=all empty=exclude missing=exclude
  /categories variables= ageDifference1 ageDifference2 total = yes position = after labels = "Total"
  /slabels position=column visible = no
  /titles title=
     "Table PR.4.3: Diferencia de edad entre cnyuges"
     "Distribucin porcentual de mujeres de 15 a 19 aos y de 20 a 24 aos actualmente casadas/en unin, segn la diferencia de edad con su esposo o compaero, " + surveyname
   caption=
     "[1] Indicador MICS PR.7a - Diferencia de edad entre los esposos (en mujeres de entre 15 y 19 aos)"
     "[2] Indicador MICS PR.7b - Diferencia de edad entre los esposos (en mujeres de entre 20 y 24 aos)"
  .

new file.
