* Encoding: windows-1252.
* MICS6 SR.5.3.

* v01 - 2017-09-21.

** Total weighted and unweighted numbers of children age 5-17 should be equal when normalized sample weights are used.

** The total weighted number of children age 5-17 does not necessarily match that presented on age groups 0-4 and 5-17 years in Table SR.4.1. 
** This table is based on completed children age 5-17 interviews only, whereas Table SR.4.1 is based on completed household interviews. The two tables are computed with different sample weights.


***.

* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open household members data file.
get file = 'hl.sav'.

* Weight the data by the household weight.
weight by hhweight.

* Recode age 85 and higher into 1 age group, and group DK and missing answers.
recode HL6 (0 thru 84 = copy ) (85 thru 96 = 85) (97 thru 99 = 99) into mage.
formats mage (f3.0).
variable labels mage "Age".
value labels mage
	85  "85+"
 	99  "DK/Missing".

value labels hl4
	1 "Males"
	2 "Females".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

* Labels in French.
* value labels mage
	85  "85+"
 	99  "NSP/Manquant".
* value labels hl4
	1 "Hommes"
	2 "Femmes".
	
* Labels in Spanish.
* variable labels mage "Edad".
* value labels mage 
	85  "85+"
                  99 "NS/Ignorado.
* value labels hl4
	1 "Hombres"
	2 "Mujeres".

*Ctables in English.
ctables
  /vlabels variables = hl4 display = none
  /table mage [c] + total [c] by 
            hl4[c][count,'Number',f5.0,colpct.validn,'Percent',f5.1]
  /titles title="Table DQ.1.1: Age distribution of household population"  
  "Single-year age distribution of household population, by sex, " + surveyname.		

*Ctables in French.
*ctables
  /vlabels variables = hl4 display = none
  /table mage [c] + total [c] by 
            hl4[c][count,'Nombre',f5.0,colpct.validn,'Pourcentage',f5.1]
  /titles title="Tableau DQ.1.1: Distribution par ge de la population des mnages"  
  "Distribution par anne d'ge de la popuation des mnages selon le sexe, " + surveyname.	

*Ctables in Spanish.
*ctables
  /vlabels variables = hl4 display = none
  /table mage [c] + total [c] by 
            hl4[c][count,'Nmero',f5.0,colpct.validn,'Porcentaje',f5.1]
  /titles title="Tabla DQ.1.1: Distribucin de la edad de la poblacin de los hogares"  
  "Distribucin por ao simple de la edad de la poblacin de los hogares por sexo, " + surveyname.	
  
new file.

