* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open the under 5 data file.
get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

compute layer = 1.
compute tot1 = 100.
compute total = 1.
compute chmyb = 0.
compute chyab   = 0.
compute chab   = 0.
compute chyb   = 0.
compute cnd   = 0.

if (UB1M < 97 and UB1Y < 9997) chmyb = 100.  
if (UB1M >= 97 and UB1Y < 9997 and UB2 < 7) chyab = 100.  
if (UB1M >= 97 and UB1Y >= 9997 and UB2 < 7 ) chab = 100.  
if (UB1M >= 97 and UB1Y < 9997 and UB2 >= 7 ) chyb = 100.  
if (chmyb = 0 and chyab = 0 and chyb = 0 and chab = 0) cnd = 100.

compute cn = 1.

value labels tot1 1 " ".
variable labels tot1 "Total".
variable labels total "Total".
value labels total 1 " " .
variable labels cn " ".
value labels cn 1 "Number of children under 5" .
variable labels chmyb "Year and month of birth".
variable labels chyab "Year of birth and age".
variable labels chyb "Year of birth only".
variable labels chab "Age only".
variable labels cnd "Other/DK/Missing".
value labels layer 1 "Completeness of reporting of date of birth and age".

* For labels in French uncomment commands below.
* value labels cn 1 "Number of  children under 5" .
* variable labels chmyb "Anne et mois de naissance ".
* variable labels chyab "Anne de naissance et ge".
* variable labels chyb "Anne de naissance seulement ".
* variable labels chab "Age seulement ".
* variable labels cnd "Autres/NSP/Manquant".
* value labels layer 1 "Compltude de l'information sur la date de naissance et l'ge".

* For labels in Spanish uncomment commands below.
* value labels cn 1 "Number of  children under 5" .
* variable labels chmyb "Ao y mes de nacimiento".
* variable labels chyab "Ao de nacimiento y edad".
* variable labels chyb "Solamente ao de nacimiento".
* variable labels chab "Solamente edad".
* variable labels cnd "Otro/NS/Ignorado".
* value labels layer 1 "Completitud del reporte de fecha de nacimiento y edad".

ctables
  /vlabels variables = layer cn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + UB2 by 
    layer [c] > (chmyb [s] [mean '' f5.1] +chyab [s] [mean '' f5.1] + chyb [s] [mean '' f5.1]  +
    chab [s] [mean '' f5.1] + cnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + cn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Table DQ.2.4: Birth date and age reporting (children under age 5 years)"
   "Percent distribution children under 5 by completeness of date of birth/age information, " + surveyname.

*ctables in French.
* ctables
  /vlabels variables = layer cn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + UB2 by 
    layer [c] > (chmyb [s] [mean '' f5.1] +chyab [s] [mean '' f5.1] + chyb [s] [mean '' f5.1]  +
    chab [s] [mean '' f5.1] + cnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + cn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tableau DQ.2.4: Rapportage sur la date de naissance et l'ge : enfants de moins de 5 ans"
   "Distribution en pourcentage des enfants de moins de 5 ans selon la compltude de l'information sur date de naissance/ge, " + surveyname.

*Ctables in Spanish.
* ctables
  /vlabels variables = layer cn
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + UB2 by 
    layer [c] > (chmyb [s] [mean '' f5.1] +chyab [s] [mean '' f5.1] + chyb [s] [mean '' f5.1]  +
    chab [s] [mean '' f5.1] + cnd [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + cn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tabla DQ.2.4: Reporte de fecha de nacimiento y edad (menores de 5 aos)"
   "Distribucin porcentual de menores de 5 aos por completitud de la fecha de nacimiento/informacin de la edad, " + surveyname.

new file.	
