* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Household.
get file = 'hh.sav'.

select if (HH46 = 1).

weight by hhweight.

compute test1 = 0.
if (SA1 = 2 or SA1 = 3) test1 = 100.
variable labels test1 "1st test >0 PPM".

compute test2 = 0.
if (SA2 = 2 or SA2 = 3) test2 = 100.
variable labels test2 "2nd test >0 PPM".

compute test3 = 0.
if (SA2 = 1) test3 = 100.
variable labels test3 "2nd test 0 PPM".

compute nosalt = 0.
if (SA1 = 4) nosalt = 100.
variable labels nosalt "No salt in household".

compute other = 0.
if (SA1 = 6 or SA2 > 3) other = 100.
variable labels other "Other [A]".

compute hn = 1.
variable labels hn "".
value labels hn 1 "Number of households".

compute tot1 = 100.
variable labels tot1 "Total".
value labels tot1 1 "".

compute layer = 0.
variable labels layer " ".
value labels layer 0 "Salt was tested".

compute layer1 = 0.
variable labels layer1 " ".
value labels layer1 0 "Salt was not tested, by reason".

compute total = 1.
variable labels total "Total".
value labels total 1 " ".

*  For labels in French uncomment commands below.
* value labels layer 0 "Sel a t test".
* value labels layer1 0 "Sel n'a t test,  cause de :".
* variable labels 
    test1 'Premier test >0 ppm'
   /test2 'Deuxime test >0 ppm'
   /test3 'Deuxime test 0 ppm'
   /nosalt 'Pas de sel dans le mnage'
   /other 'Autre [A]'.
* value labels hn 1 "Nombre de mnages".

*  For labels in Spanish uncomment commands below.
* value labels layer 0 "La sal fue probada".
* value labels layer1 0 "La sal no fue probada, por razn :".
* variable labels 
    test1 '1a prueba >0 ppm'
   /test2 '2a prueba >0 ppm'
   /test3 '2a prueba 0 ppm'
   /nosalt 'hogar'
   /other 'Otro [A]'.
* value labels hn 1 "Nmero de hogares".
   

ctables
  /vlabels variables =  hn layer layer1
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + windex5 [c] by 
    layer [c] > (test1 [s] [mean '' f5.1] + test2 [s] [mean '' f5.1] + test3 [s] [mean '' f5.1]) +
    layer1 [c] > (nosalt [s] [mean '' f5.1] + other [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + hn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Table DQ.3.1: Completeness of salt iodisation testing"
   "Percent distribution of households by completion of test for salt iodisation, " + surveyname
  caption = "[A] Includes those tests indicating 0 PPM in first test where a second test was not performed".			

* Ctables command in French.  
* ctables
  /vlabels variables =  hn layer layer1
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + windex5 [c] by 
    layer [c] > (test1 [s] [mean '' f5.1] + test2 [s] [mean '' f5.1] + test3 [s] [mean '' f5.1]) +
    layer1 [c] > (nosalt [s] [mean '' f5.1] + other [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + hn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tableau DQ.3.1: Compltude des tests du sel iod"
   "Pourcentage de la distribution des mnages par la compltitude du test sel iod, " + surveyname
  caption = "[A] Comprend les tests indiquant 0 ppm dans le premier test o un deuxime test n'a pas t effectu".	

* Ctables command in Spanish.  
* ctables
  /vlabels variables =  hn layer layer1
         display = none
   /table total [c] + hh6 [c] + hh7 [c] + windex5 [c] by 
    layer [c] > (test1 [s] [mean '' f5.1] + test2 [s] [mean '' f5.1] + test3 [s] [mean '' f5.1]) +
    layer1 [c] > (nosalt [s] [mean '' f5.1] + other [s] [mean '' f5.1]) + tot1 [s] [mean '' f5.1] + hn [c] [count '' f5.0]  
  /categories variables=all empty=exclude missing=exclude
  /slabels position=column visible = no
  /titles title = 
   "Tabla DQ.3.1: Completitud de la prueba de yodacin de sal"
   "Distribucin porcentual de los hogares por completitud de la prueba de yodacin de sal, " + surveyname
  caption = "[A]  incluye aquellas pruebas que indican 0 ppm en la primera prueba donde no se realiz una segunda prueba".	  

new file.	