* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

* Open the children's file.
get file = 'ch.sav'.

* Select completed interviews.
select if (UF17 = 1).

weight by chweight.

* Total variables.
compute total = 1.
variable labels total "Total".
value labels total 1 " ".

* Compute digits reported for decimals for weight.
do if (AN8 < 97).
+ compute measure = mod (AN8*10,10).
end if.
variable labels measure "Digits".
formats measure (f1.0).

* Total variables.
compute tot = 1.
variable labels tot "Total".

* Aggregate sums for each separate digit.
aggregate outfile = "tmp1.sav"
  /break = measure
  /ttwgt = sum(tot).

* Compute digits reported for decimals for height.
do if (AN11 < 997).
+ compute measure = mod (AN11*10,10).
end if.
variable labels measure "Digits".
formats measure (f1.0).

* Aggregate sums for each separate digit.
aggregate outfile = "tmp2.sav"
  /break   = measure
  /tthgt = sum(tot).

* Add this summary information together in one data file.
get file = 'tmp1.sav'.
match files
  /file = *
  /file = 'tmp2.sav'
  /by measure.

rename variables (measure = digit).

variable labels ttwgt "Weight".
variable labels tthgt  "Height or length".

*  For labels in French uncomment commands below.
* variable labels 
   digit "Chiffre"
  /ttwgt "Poids"
  /tthgt  "Longueur ou Taille".

*  For labels in Spanish uncomment commands below.
* variable labels 
   digit "Dgitos"
  /ttwgt "Peso"
  /tthgt  "Talla".
  
* IB: used to include total for 0 + 5.
*ctables
  /vlabels variables = digit display=label
  /pcompute &cat1 = expr ([0]+[5])
  /pproperties &cat1 labels = "0 or 5" format=count f5.0 hidesourcecats = no 
  /table  digit [c] by ttwgt [s] [sum,'Number',f5.0,tablepct.sum,'Percent',f5.1] + tthgt [s] [sum,'Number',f5.0,tablepct.sum,'Percent',f5.1] 
  /categories variables = digit [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, &cat1, othernm] total = yes position = before
  /titles title=
   "Table DQ.3.7: Heaping in anthropometric measurements"
   "Distribution of weight and height/length measurements by decimal digit recorded, " + surveyname.

ctables
  /vlabels variables = digit display=label
  /table  digit [c] by ttwgt [s] [sum,'Number',f5.0,tablepct.sum,'Percent',f5.1] + tthgt [s] [sum,'Number',f5.0,tablepct.sum,'Percent',f5.1] 
  /categories variables = digit [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, othernm] total = yes position = before
  /titles title=
   "Table DQ.3.7: Heaping in anthropometric measurements"
   "Distribution of weight and height/length measurements by decimal digit recorded, " + surveyname.

* Ctables command in French.  
* ctables
  /vlabels variables = digit display=label
  /table  digit [c] by ttwgt [s] [sum,'Nombre',f5.0,tablepct.sum,'Pourcentage',f5.1] + tthgt [s] [sum,'Nombre',f5.0,tablepct.sum,'Pourcentage',f5.1] 
  /categories variables = digit [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, othernm] total = yes position = before
  /titles title=
   "Tableau DQ.3.7: Attraction dans les mesures anthropomtriques"
   "Distribution des mesures de poids et longueurs/taille selon le chiffre enregistr pour la dcimale, " + surveyname.

* Ctables command in Spanish.  
* ctables
  /vlabels variables = digit display=label
  /table  digit [c] by ttwgt [s] [sum,'Número',f5.0,tablepct.sum,'Porcentaje',f5.1] + tthgt [s] [sum,'Número',f5.0,tablepct.sum,'Porcentaje',f5.1] 
  /categories variables = digit [0, 1, 2, 3, 4, 5, 6, 7, 8, 9, othernm] total = yes position = before
  /titles title=
   "Tabla DQ.3.7: Preferencia de dgitos en medidas antropomtricas"
   "Distribucin de mediciones de peso y talla por dgitos reportados para los puntos decimales, " + surveyname.

new file.

erase file = "tmp1.sav".
erase file = "tmp2.sav".
