* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

recode BR1 (3=100)(else=0) into nocard.
variable labels nocard "Child does not have birth certificate".

recode BR1 (1=100)(else=0) into cseen.
variable labels cseen "Seen by the interviewer (1)".

recode BR1 (2=100)(else=0) into notseen.
variable labels notseen "Not seen by the interviewer (2)".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Child has birth certificate".

recode BR1 (8,9=100)(else=0) into dkcard.
variable labels dkcard "DK/Missing".

do if (cseen = 100 or notseen = 100).
+ compute pseen = 0.
+ if (cseen = 100) pseen = 100.
end if.
variable labels pseen "Percentage of birth certificates seen by the interviewer (1)/(1+2)*100".

compute tot1 = 100.
variable labels tot1 "Total".
value labels tot1 100 " ".

compute tot2 = 1.
variable labels tot2 "Total".
value labels tot2 1 " ".

compute total = 1.
variable labels total "".
value labels total 1 "Number of children under 5".

*  For labels in French uncomment commands below.
* variable labels 
    nocard "Enfant sans certificat de naissance"
   /cseen "Vu par l'enquteur (1)"
   /notseen "Pas vu par l'enquteur (2)"   
   /dkcard "NSP/manquant"
   /pseen "Pourcentage avec certificat de naissance vu par l'enquteur (1)/(1+2)*100".
* value labels layer 0 "Enfant avec certificat de naissance".
* value labels total 1 "Nombre d'enfants de moins de 5 ans".

*  For labels in Spanish uncomment commands below.
* variable labels 
    nocard "Nio no tiene certificado de nacimiento"
   /cseen "Visto por el entrevistador  (1)"
   /notseen "No visto por el entrevistador  (2)"   
   /dkcard "NS/Ignorado"
   /pseen "Porcentaje de certificados de nacimiento vistos por el entrevistador (1)/(1+2)*100".
* value labels layer 0 "Nio tiene certificado de nacimiento".
* value labels total 1 "Nmero de nios menores de 5 aos".


ctables
  /vlabels variables = layer total display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1]) + nocard [s] [mean,'' ,f7.1] +
                 dkcard [s] [mean,'' ,f7.1] + tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /titles title="Table DQ.4.3: Observation of birth certificates"  
	"Percent distribution of children under 5 by presence of birth certificates,and percentage of birth certificates seen, " + surveyname.							

* Ctables command in French.  
* ctables
  /vlabels variables = layer total display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1]) + nocard [s] [mean,'' ,f7.1] +
                 dkcard [s] [mean,'' ,f7.1] + tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /titles title="Tableau DQ.4.3: Observation des certificats de naissance"  
	"Distribution en pourcentage des enfants de moins de 5 ans selon la prsence de certificats de naissance et pourcentage de certificats de naissances vus, " + surveyname.							

* Ctables command in Spanish.  
* ctables
  /vlabels variables = layer total display = none
  /table  tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1]) + nocard [s] [mean,'' ,f7.1] +
                 dkcard [s] [mean,'' ,f7.1] + tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /titles title="Tabla DQ.4.3: Observacin de certificados de nacimiento"  
	"Distribucin porcentual de nios menores de 5 aos por presencia de certificados de nacimiento, y porcentaje de certificados de nacimiento vistos, " + surveyname.							

new file.

