* Encoding: windows-1252.
* Call include file for the working directory and the survey name.
include "surveyname.sps".

get file = 'ch.sav'.

select if (UF17 = 1).

weight by chweight.

*select only children eligible for immunization module.

select if (cage <= 35).

* Children who do not have vaccination records, but had previously: IM2=4 and IM3=1.
* Children who never had vaccination records: IM2=4 and IM3=2.
* Children with vaccination records seen by the interviewer: IM5<4.
* Children reported with vaccination records not seen by the interviewer: IM5=4.

compute prcard = 0.
if (IM2 = 4 and IM3 = 1)  prcard = 100.
variable labels prcard "Had vaccination records previously".

compute noprcard = 0.
if (IM2 = 4 and IM3 = 2) noprcard = 100.
variable labels noprcard "Never had vaccination records".

compute layer1 = 0.
variable labels layer1 "".
value labels layer1 0 "Child does not have vaccination records".

recode IM5 (1,2,3=100)(else=0) into cseen.
variable labels cseen "Seen by the interviewer (1)".

recode IM5 (4=100)(else=0) into notseen.
variable labels notseen "Not seen by the interviewer (2)".

compute layer = 0.
variable labels layer "".
value labels layer 0 "Child has vaccination records".

compute dkcard = 0.
if (IM5 = 8 or IM5 = 9 or IM3 = 8 or IM3 = 9) dkcard = 100.
variable labels dkcard "DK/Missing".

do if (cseen = 100 or notseen = 100).
+ compute pseen = 0.
+ if (cseen = 100) pseen = 100.
end if.
variable labels pseen "Percent of vaccination records seen by the interviewer (1)/(1+2)*100".

compute tot1 = 100.
variable labels tot1 "Total".
value labels tot1 100 " ".

compute tot2 = 1.
variable labels tot2 "Total".
value labels tot2 1 " ".

compute total = 1.
variable labels total "".
value labels total 1 "Number of children age 0-35 months".

*  For labels in French uncomment commands below.
* variable labels 
     prcard "A eu une carte de vaccination "
	/noprcard "N'a jamais eu de carte de vaccination "
    /cseen "Vue par l'enquteur (1)"
    /notseen "Pas vue par l'enquteur (2)"
    /dkcard "NSP/manquant"
    /pseen "Pourcentage de cartes de vaccinations vues par l'enquteur (1)/(1+2)*100" .
* value labels layer1 0 "Enfant n'a pas de carte de vaccination ".
* value labels layer 0 "Enfant a une carte de vaccination ".
* value labels total 1 "Nombre d'enfants de 0-35 mois".

*  For labels in Spanish uncomment commands below.
* variable labels 
     prcard "Tuvo anteriormente registro de vacunacin "
	/noprcard "Nunca ha tenido registro de vacunacin "
   /cseen "Visto por el entrevistador  (1)"
   /notseen "No visto por el entrevistador  (2)"   
   /dkcard "NS/Ignorado"
    /pseen "Porcentaje de registros de vacunacin vistas por el entrevistador (1)/(1+2)*100" .
* value labels layer1 0 "Nio no tiene registro de vacunacin ".
* value labels layer 0 "Nio tiene registro de vacunacin ".
* value labels total 1 "Nmero de nios de 0-35 meses".

ctables
  /vlabels variables = layer1 layer total display = none
  /table tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by 
                 layer1 [c] > (prcard [s] [mean,'' ,f7.1] + noprcard [s] [mean,'' ,f7.1]) +
                 layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1])+ dkcard [s] [mean,'' ,f7.1] +
                 tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /categories variables = all empty=exclude missing=exclude 
  /titles title="Table DQ.4.4: Observation of vaccination records"  
	"Percent distribution of children age 0-35 months by presence of vaccination records, and the percentage of vaccination records seen by the interviewers, " + surveyname.									

* Ctables command in French.  
* ctables
 ctables
  /vlabels variables = layer1 layer total display = none
  /table tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by 
                 layer1 [c] > (prcard [s] [mean,'' ,f7.1] + noprcard [s] [mean,'' ,f7.1]) +
                 layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1])+ dkcard [s] [mean,'' ,f7.1] +
                 tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /categories variables = all empty=exclude missing=exclude 
  /titles title="Tableau DQ.4.4: Observation des cartes de vaccinations"  
	"Distribution en pourcentage des enfants de 0-35 mois selon la prsence d'une carte de vaccinations et pourcentage de cartes de vaccinations vues par les enquteurs, " + surveyname.									
 
* Ctables command in Spanish.  
* ctables
 ctables
  /vlabels variables = layer1 layer total display = none
  /table tot2 [c] + hh6 [c] + hh7 [c] + cage_6 [c] by 
                 layer1 [c] > (prcard [s] [mean,'' ,f7.1] + noprcard [s] [mean,'' ,f7.1]) +
                 layer [c] > (cseen [s] [mean,'' ,f7.1] + notseen [s] [mean,'' ,f7.1])+ dkcard [s] [mean,'' ,f7.1] +
                 tot1[s] [mean,'' ,f7.1] + pseen [s] [mean,'' ,f7.1]+ total [c][count '' f5.0]
  /slabels visible = no  
  /categories variables = all empty=exclude missing=exclude 
  /titles title="Tabla DQ.4.4: Observacin del registro de vacunacin"  
	"Distribucin porcentual de nios de 0-35 meses por la presencia de registros de vacunacin, y el porcentaje de registros de vacunacin vistas por los entrevistadores, " + surveyname.									
 
 new file.

